import { D3listType } from '@/pages/D3role/data'

// 初始化状态
const initState = {
  // 列表数据
  tableInfo: {
    list: [] as D3listType[],
    total: 0
  }
}

// 定义 action 类型
type Props = {
  type: 'D3/getList'
  payload: { list: D3listType[]; total: number }
}

// reducer
export default function userReducer(state = initState, action: Props) {
  switch (action.type) {
    // 获取列表数据
    case 'D3/getList':
      return { ...state, tableInfo: action.payload }

    default:
      return state
  }
}
